import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { Ad_data_report_log } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-14 13:31
 */
interface Ad_data_report_logCU extends ConditionUtil<Ad_data_report_logCU> {
    ID: FieldUtil<Ad_data_report_logCU>;
    AD_DELIVERY_PLAN_ID: FieldUtil<Ad_data_report_logCU>;
    REQUESTID: FieldUtil<Ad_data_report_logCU>;
    USER_ID: FieldUtil<Ad_data_report_logCU>;
    USER_TYPE: FieldUtil<Ad_data_report_logCU>;
    AD_POSITION_ID: FieldUtil<Ad_data_report_logCU>;
    AD_INFO_ID: FieldUtil<Ad_data_report_logCU>;
    AD_MATERIAL_ID: FieldUtil<Ad_data_report_logCU>;
    AD_STYLE_ID: FieldUtil<Ad_data_report_logCU>;
    REPORT_TYPE: FieldUtil<Ad_data_report_logCU>;
    TRIGGER_TIME: FieldUtil<Ad_data_report_logCU>;
    CREATE_TIME: FieldUtil<Ad_data_report_logCU>;
}
declare class Ad_data_report_logMU extends TableUtilImpl<Ad_data_report_logCU, Ad_data_report_log> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): Ad_data_report_logCU;
    static get ID(): FieldUtil<Ad_data_report_logCU>;
    static get AD_DELIVERY_PLAN_ID(): FieldUtil<Ad_data_report_logCU>;
    static get REQUESTID(): FieldUtil<Ad_data_report_logCU>;
    static get USER_ID(): FieldUtil<Ad_data_report_logCU>;
    static get USER_TYPE(): FieldUtil<Ad_data_report_logCU>;
    static get AD_POSITION_ID(): FieldUtil<Ad_data_report_logCU>;
    static get AD_INFO_ID(): FieldUtil<Ad_data_report_logCU>;
    static get AD_MATERIAL_ID(): FieldUtil<Ad_data_report_logCU>;
    static get AD_STYLE_ID(): FieldUtil<Ad_data_report_logCU>;
    static get REPORT_TYPE(): FieldUtil<Ad_data_report_logCU>;
    static get TRIGGER_TIME(): FieldUtil<Ad_data_report_logCU>;
    static get CREATE_TIME(): FieldUtil<Ad_data_report_logCU>;
    get ID(): FieldUtil<Ad_data_report_logCU>;
    get AD_DELIVERY_PLAN_ID(): FieldUtil<Ad_data_report_logCU>;
    get REQUESTID(): FieldUtil<Ad_data_report_logCU>;
    get USER_ID(): FieldUtil<Ad_data_report_logCU>;
    get USER_TYPE(): FieldUtil<Ad_data_report_logCU>;
    get AD_POSITION_ID(): FieldUtil<Ad_data_report_logCU>;
    get AD_INFO_ID(): FieldUtil<Ad_data_report_logCU>;
    get AD_MATERIAL_ID(): FieldUtil<Ad_data_report_logCU>;
    get AD_STYLE_ID(): FieldUtil<Ad_data_report_logCU>;
    get REPORT_TYPE(): FieldUtil<Ad_data_report_logCU>;
    get TRIGGER_TIME(): FieldUtil<Ad_data_report_logCU>;
    get CREATE_TIME(): FieldUtil<Ad_data_report_logCU>;
}
export { Ad_data_report_logMU, Ad_data_report_logCU };
